/**
 * 图片转为base64
 * @param {*} url
 * @param {*} callback
 */
export const getBase64Image = (url, callback) => {
  // #ifdef MP-WEIXIN
  uni.getFileSystemManager().readFile({
    filePath: url, //选择图片返回的相对路径
    encoding: 'base64', //编码格式
    success: res => {
      //成功的回调
      console.log(res, '返回结果');
      let base64 = 'data:image/jpeg;base64,' + res.data; //不加上这串字符，在页面无法显示的哦
      callback && callback(base64);
    },
    fail: e => {
      console.log('图片转换失败');
    },
  });
  // #endif
  // #ifdef H5
  uni.request({
    url: url,
    method: 'GET',
    responseType: 'arraybuffer',
    success: res => {
      let base64 = uni.arrayBufferToBase64(res.data); //把arraybuffer转成base64
      base64 = 'data:image/jpeg;base64,' + base64;
      callback && callback(base64);
    },
    fail: e => {
      console.log('图片转换失败');
    },
  });
  // #endif
  // #ifdef APP-PLUS
  plus.io.resolveLocalFileSystemURL(url, entry => {
    entry.file(file => {
      let fileReader = new plus.io.FileReader();
      fileReader.onloadend = e => {
        callback && callback(e.target.result);
      };
      fileReader.readAsDataURL(file);
    });
  });
  // #endif
};
